Bug 176021 - [patch] chinese/libchewing: update to 0.3.4
Summary: [patch] chinese/libchewing: update to 0.3.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-11 02:20 UTC by Henry Hu
Modified: 2013-06-27 03:08 UTC (History)
0 users

See Also:


Attachments
file.diff (3.38 KB, patch)
2013-02-11 02:20 UTC, Henry Hu
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henry Hu 2013-02-11 02:20:00 UTC
Update chinese/libchewing to 0.3.4

* Master site changed to Google Code
* Patches to install data into PREFIX/share/chewing

Patch created and tested by me and Zhihao Yuan(lichray@gmail.com)

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-02-11 02:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Henry Hu 2013-02-11 02:21:54 UTC
Please also bump port version of chinese/ibus-chewing and
chinese/fcitx-chewing which depends on this port.


-- 
Cheers,
Henry
Comment 3 dfilter service freebsd_committer 2013-06-27 02:47:27 UTC
Author: clsung
Date: Thu Jun 27 01:47:18 2013
New Revision: 321829
URL: http://svnweb.freebsd.org/changeset/ports/321829

Log:
  Update chinese/libchewing to 0.3.4
  
  * Master site changed to Google Code
  * Patches to install data into PREFIX/share/chewing
  
  Patch created and tested by me and Zhihao Yuan(lichray@gmail.com)
  
  PR:		ports/176021
  Submitted by:	Henry Hu <henry.hu.sh_AT_gmail.com>

Added:
  head/chinese/libchewing/files/
  head/chinese/libchewing/files/patch-data_Makefile.in   (contents, props changed)
  head/chinese/libchewing/files/patch-plat_path.c   (contents, props changed)
  head/chinese/libchewing/files/patch-src_porting_layer_Makefile.in   (contents, props changed)
Modified:
  head/chinese/libchewing/Makefile
  head/chinese/libchewing/distinfo

Modified: head/chinese/libchewing/Makefile
==============================================================================
--- head/chinese/libchewing/Makefile	Thu Jun 27 01:05:57 2013	(r321828)
+++ head/chinese/libchewing/Makefile	Thu Jun 27 01:47:18 2013	(r321829)
@@ -1,24 +1,25 @@
-# New ports collection makefile for:	libchewing
-# Date created:		5 Sep 2004
-# Whom:			Kuang-che Wu <kcwu@csie.org>
-#
+# Created by: Kuang-che Wu <kcwu@csie.org>
 # $FreeBSD$
-#
 
 PORTNAME=	libchewing
-PORTVERSION=	0.3.3
+PORTVERSION=	0.3.4
 CATEGORIES=	chinese textproc
-MASTER_SITES=	http://chewing.csie.net/download/libchewing/
+MASTER_SITES=	GOOGLE_CODE
 
 MAINTAINER=	clsung@FreeBSD.org
 COMMENT=	The Chewing intelligent phonetic input method library
 
-USE_GNOME=	gnomehack pkgconfig
+INFO=		libchewing
+
+USE_GMAKE=	yes
+USE_GNOME=	gnomehack
+USE_PKGCONFIG=	yes
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
 USE_BZIP2=	yes
 
 DATADIR=	${PREFIX}/share/chewing
+PROJECTHOST=	chewing
 
 .include <bsd.port.pre.mk>
 

Modified: head/chinese/libchewing/distinfo
==============================================================================
--- head/chinese/libchewing/distinfo	Thu Jun 27 01:05:57 2013	(r321828)
+++ head/chinese/libchewing/distinfo	Thu Jun 27 01:47:18 2013	(r321829)
@@ -1,2 +1,2 @@
-SHA256 (libchewing-0.3.3.tar.bz2) = 72a0de12b86c4d5f6468a68d88c736227ff16fa7a915f8595ffe5a31cae95eae
-SIZE (libchewing-0.3.3.tar.bz2) = 1798134
+SHA256 (libchewing-0.3.4.tar.bz2) = f940734d514d52f0375cb1afa5d4d7536a93fd8ff0c3ce4a002ab1698dd07ff6
+SIZE (libchewing-0.3.4.tar.bz2) = 1926898

Added: head/chinese/libchewing/files/patch-data_Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/libchewing/files/patch-data_Makefile.in	Thu Jun 27 01:47:18 2013	(r321829)
@@ -0,0 +1,11 @@
+--- data/Makefile.in.orig	2013-02-10 19:20:34.000000000 -0500
++++ data/Makefile.in	2013-02-10 19:20:40.000000000 -0500
+@@ -261,7 +261,7 @@
+ 	tsi.src \
+ 	$(NULL)
+ 
+-chewing_datadir = $(pkglibdir)
++chewing_datadir = $(datadir)/chewing
+ chewing_data_DATA = \
+ 	$(static_tables) \
+ 	$(datas) \

Added: head/chinese/libchewing/files/patch-plat_path.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/libchewing/files/patch-plat_path.c	Thu Jun 27 01:47:18 2013	(r321829)
@@ -0,0 +1,15 @@
+--- src/porting_layer/src/plat_path.c.orig	2013-02-10 19:57:20.000000000 -0500
++++ src/porting_layer/src/plat_path.c	2013-02-10 19:57:35.000000000 -0500
+@@ -37,10 +37,10 @@
+ 		home = getenv( "HOME" );
+ 		if ( home ) {
+ 			snprintf( path, path_len, "%s/.chewing" SEARCH_PATH_SEP
+-				LIBDIR "/libchewing", home );
++				DATADIR "/chewing", home );
+ 		} else {
+ 			// No HOME ?
+-			strncpy( path, SEARCH_PATH_SEP LIBDIR "/libchewing", path_len );
++			strncpy( path, SEARCH_PATH_SEP DATADIR "/chewing", path_len );
+ 		}
+ 	}
+ 

Added: head/chinese/libchewing/files/patch-src_porting_layer_Makefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/chinese/libchewing/files/patch-src_porting_layer_Makefile.in	Thu Jun 27 01:47:18 2013	(r321829)
@@ -0,0 +1,10 @@
+--- src/porting_layer/src/Makefile.in.orig	2013-02-10 19:59:20.000000000 -0500
++++ src/porting_layer/src/Makefile.in	2013-02-10 19:59:33.000000000 -0500
+@@ -113,6 +113,7 @@
+ AM_CFLAGS = @AM_CFLAGS@
+ AM_CPPFLAGS = \
+ 	-DLIBDIR=\"@libdir@\" \
++	-DDATADIR=\"@datadir@\" \
+ 	$(NULL)
+ 
+ AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2013-06-27 02:48:00 UTC
Author: clsung
Date: Thu Jun 27 01:47:52 2013
New Revision: 321830
URL: http://svnweb.freebsd.org/changeset/ports/321830

Log:
  bump PORTREVISION for libchewing update
  
  PR:		ports/176021

Modified:
  head/chinese/fcitx-chewing/Makefile

Modified: head/chinese/fcitx-chewing/Makefile
==============================================================================
--- head/chinese/fcitx-chewing/Makefile	Thu Jun 27 01:47:18 2013	(r321829)
+++ head/chinese/fcitx-chewing/Makefile	Thu Jun 27 01:47:52 2013	(r321830)
@@ -7,6 +7,7 @@
 
 PORTNAME=	fcitx-chewing
 PORTVERSION=	0.1.3
+PORTREVISION=	1
 CATEGORIES=	chinese
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 DIST_SUBDIR=	fcitx
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2013-06-27 02:48:25 UTC
Author: clsung
Date: Thu Jun 27 01:48:13 2013
New Revision: 321831
URL: http://svnweb.freebsd.org/changeset/ports/321831

Log:
  bump PORTREVISION for libchewing update.
  
  PR:		ports/176021

Modified:
  head/chinese/ibus-chewing/Makefile

Modified: head/chinese/ibus-chewing/Makefile
==============================================================================
--- head/chinese/ibus-chewing/Makefile	Thu Jun 27 01:47:52 2013	(r321830)
+++ head/chinese/ibus-chewing/Makefile	Thu Jun 27 01:48:13 2013	(r321831)
@@ -3,6 +3,7 @@
 
 PORTNAME=	ibus-chewing
 PORTVERSION=	1.4.3
+PORTREVISION=	1
 CATEGORIES=	chinese
 MASTER_SITES=	GOOGLE_CODE
 DISTNAME=	${PORTNAME}-${PORTVERSION}-Source
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Cheng-Lung Sung freebsd_committer 2013-06-27 03:08:07 UTC
State Changed
From-To: open->closed

Committed. Thank You.